### Method

# Dex StateTransitionContext wait_for_interrupt

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_state_transition_context_wait_for_interrupt (
      DexStateTransitionContext* context
    )

#### Description [src]

Creates a future that resolves when the active transition context is interrupted.

This is a cooperative mechanism for long-running transition callbacks. The returned future resolves to `TRUE` when `dex_state_machine_interrupt()` is called while `context` is active. If the context was already interrupted before this function is called, the returned future is already resolved.

If `context` completes before it is interrupted, the returned future is rejected with `G_IO_ERROR_CANCELLED`.

Available since: 1.2

#### Return value

Type: `DexFuture`

A future resolving to `TRUE` when interrupted.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.